打开/关闭菜单
打开/关闭外观设置菜单
打开/关闭个人菜单
未登录
未登录用户的IP地址会在进行任意编辑后公开展示。

RIA Wiki 已更新到 1.41!部分 CSS 在新版本下可能有不同的表现,请编辑者注意检查和修改。 目前wiki关闭了自行注册账号的功能,如需注册账号,请查阅Help:注册账号

模块:Navbox/styles.css:修订间差异

来自RIA | Wiki
Aunst留言 | 贡献
更新
Aunst留言 | 贡献
去掉navbox类里的-s
 
(未显示同一用户的9个中间版本)
第1行: 第1行:
.navbox2 { /* 原类名为 .navbox2 , 现改为 .navbox2, 见 [https://wiki.ria.red/index.php?title=Module:Navbox/configuration&oldid=18181] */
/* Navbox styles
  box-sizing: border-box;
* 导航盒样式
   border: 1px solid #a2a9b1;
*
  width: 100%;
* @source https://en.wikipedia.org/wiki/Module:Navbox/styles.css
  clear: both;
* @revision 2026-03-24
  font-size: 88%;
*/
  text-align: center;
.navbox {
   padding: 1px;
   border: 1px solid rgb(162, 169, 177);
  margin: 1em auto 0; /* Prevent preceding content from clinging to navboxes */
   padding: 0.25em;
}
}


.navbox2 .navbox2 {
.navbox, .navbox-subgroup {
   margin-top: 0; /* No top margin for nested navboxes */
   display: flex;
  flex-direction: column;
  gap: 2px;
}
}
 
.navbox .navbox-title, .navbox-subgroup .navbox-title {
.navbox2 + .navbox2, /* TODO: remove first line after transclusions have updated */
   text-align: left;
.navbox2 + .navbox2-styles + .navbox2 {
   margin-top: -1px; /* Single pixel border between adjacent navboxes */
}
 
.navbox2-inner,
.navbox2-subgroup {
  width: 100%;
}
}


.navbox2-group,
.navbox + .component-templatestyles + .navbox {
.navbox2-title,
   margin-top: -1px;
.navbox2-abovebelow {
   padding: 0.25em 1em;
  line-height: 1.5em;
  text-align: center;
}
}


.navbox2-group {
.navbox-title {
   white-space: nowrap;
   padding: 0.25em calc(0.5em + 0.5vw);
  /* @noflip */
  text-align: right;
}
}
 
.navbox-title-text {
.navbox2,
   font-weight: 700;
.navbox2-subgroup {
   background-color: #fdfdfd;
}
}
 
.navbox-body {
.navbox2-list {
   display: flex;
   line-height: 1.5em;
  flex-direction: column;
   border-color: #fdfdfd; /* Must match background color */
  flex: 1 0 auto;
   gap: 2px;
}
}
 
.navbox-abovebelow {
.navbox2-list-with-group {
   text-align: center;
   text-align: left;
   padding: 0.25em calc(0.5em + 0.5vw);
   border-left-width: 2px;
  border-left-style: solid;
}
}
 
.navbox-ci {
/* cell spacing for navbox cells */
  display: flex;
/* Borders above 2nd, 3rd, etc. rows */
   gap: 2px;
/* TODO: figure out how to replace tr as structure;
* with div structure it should be just a matter of first-child */
tr + tr > .navbox2-abovebelow,
tr + tr > .navbox2-group,
tr + tr > .navbox2-image,
tr + tr > .navbox2-list {
   border-top: 2px solid #fdfdfd; /* Must match background color */
}
}
 
.navbox-image {
.navbox2-title {
   flex: 0 0 auto;
   background-color: #ccf; /* Level 1 color */
  display: none;
  padding: 0 0.25em;
}
}
 
.navbox-lists {
.navbox2-abovebelow,
  flex: 1 1 auto;
.navbox2-group,
  display: grid;
.navbox2-subgroup .navbox2-title {
  grid-template-columns: 1fr;
   background-color: #ddf; /* Level 2 color */
   gap: 2px;
}
}
 
.navbox-group {
.navbox2-subgroup .navbox2-group,
  padding: 0.25em calc(0.5em + 0.5vw);
.navbox2-subgroup .navbox2-abovebelow {
   font-weight: 700;
   background-color: #e6e6ff; /* Level 3 color */
}
}
 
.navbox-list {
.navbox2-even {
   padding: 0.25em calc(1em + 0.5vw);
   background-color: #f7f7f7;
  text-align: center;
}
}
 
.navbox-list-with-group {
.navbox2-odd {
   text-align: left;
   background-color: transparent;
}
}
 
.navbox-list-has-subgroup.navbox-list {
/* TODO: figure out how to remove reliance on td as structure */
   padding: initial;
.navbox2 .hlist td dl,
.navbox2 .hlist td ol,
.navbox2 .hlist td ul,
.navbox2 td.hlist dl,
.navbox2 td.hlist ol,
.navbox2 td.hlist ul {
   padding: 0.125em 0;
}
}


.navbox2 .navbar {
@media (min-width: 480px) {
   display: block;
  .navbox .navbar {
  font-size: 100%;
    float: left;
    text-align: left;
  }
   .navbox-title-text {
    margin: 0 5em;
    text-align: center;
  }
}
}
 
@media (min-width: 720px) {
.navbox2-title .navbar {
  .navbox-image {
   /* @noflip */
    display: flex;
   float: left;
    align-items: center;
   /* @noflip */
    justify-content: center;
   text-align: left;
  }
   /* @noflip */
  .navbox-lists {
   margin-right: 0.5em;
    grid-template-columns: auto 1fr;
   }
   .navbox-group {
    padding: 0.25em calc(0.5em + 0.5vw);
   }
   .navbox-list {
    padding: 0.25em;
   }
   .navbox-list:not(.navbox-list-with-group) {
    grid-column: 1/3;
  }
}
}
 
@media screen {
body.skin-minerva .navbox2 table {
  .navbox {
   margin: 0;
    border-color: rgb(162, 169, 177);
    background-color: rgb(248, 249, 250);
  }
  .navbox-title {
    background-color: rgb(200, 200, 251);
  }
  .navbox-abovebelow, .navbox-group, .navbox-subgroup .navbox-title {
    background-color: rgb(216, 216, 255);
  }
  .navbox-subgroup .navbox-abovebelow, .navbox-subgroup .navbox-group {
    background-color: rgb(234, 235, 255);
  }
  .navbox-even {
    background-color: rgba(148, 148, 252, 0.05);
  }
  html.skin-theme-clientpref-night .navbox {
    border-color: rgba(255, 255, 255, 0.05);
    background-color: rgb(32, 33, 34);
   }
  html.skin-theme-clientpref-night .navbox-title {
    background-color: rgb(43, 40, 79);
  }
  html.skin-theme-clientpref-night .navbox-abovebelow, html.skin-theme-clientpref-night .navbox-group, html.skin-theme-clientpref-night .navbox-subgroup .navbox-title {
    background-color: rgb(31, 27, 65);
  }
  html.skin-theme-clientpref-night .navbox-subgroup .navbox-abovebelow, html.skin-theme-clientpref-night .navbox-subgroup .navbox-group {
    background-color: rgb(20, 15, 52);
  }
  html.skin-theme-clientpref-night.citizen-feature-pure-black-clientpref-1 .navbox {
    background-color: black;
  }
}
}
 
@media screen and (prefers-color-scheme: dark) {
@media screen and (max-width: 767px) {
  html.skin-theme-clientpref-os .navbox {
   .navbox2-image {
    border-color: rgba(255, 255, 255, 0.05);
     display: none;
    background-color: rgb(32, 33, 34);
  }
  html.skin-theme-clientpref-os .navbox-title {
    background-color: rgb(43, 40, 79);
  }
  html.skin-theme-clientpref-os .navbox-abovebelow, html.skin-theme-clientpref-os .navbox-group, html.skin-theme-clientpref-os .navbox-subgroup .navbox-title {
    background-color: rgb(31, 27, 65);
  }
  html.skin-theme-clientpref-os .navbox-subgroup .navbox-abovebelow, html.skin-theme-clientpref-os .navbox-subgroup .navbox-group {
    background-color: rgb(20, 15, 52);
  }
   html.skin-theme-clientpref-os.citizen-feature-pure-black-clientpref-1 .navbox {
     background-color: black;
   }
   }
}
}

2026年3月24日 (二) 19:46的最新版本

/* Navbox styles
 * 导航盒样式
 *
 * @source https://en.wikipedia.org/wiki/Module:Navbox/styles.css
 * @revision 2026-03-24
*/
.navbox {
  border: 1px solid rgb(162, 169, 177);
  padding: 0.25em;
}

.navbox, .navbox-subgroup {
  display: flex;
  flex-direction: column;
  gap: 2px;
}
.navbox .navbox-title, .navbox-subgroup .navbox-title {
  text-align: left;
}

.navbox + .component-templatestyles + .navbox {
  margin-top: -1px;
}

.navbox-title {
  padding: 0.25em calc(0.5em + 0.5vw);
}
.navbox-title-text {
  font-weight: 700;
}
.navbox-body {
  display: flex;
  flex-direction: column;
  flex: 1 0 auto;
  gap: 2px;
}
.navbox-abovebelow {
  text-align: center;
  padding: 0.25em calc(0.5em + 0.5vw);
}
.navbox-ci {
  display: flex;
  gap: 2px;
}
.navbox-image {
  flex: 0 0 auto;
  display: none;
  padding: 0 0.25em;
}
.navbox-lists {
  flex: 1 1 auto;
  display: grid;
  grid-template-columns: 1fr;
  gap: 2px;
}
.navbox-group {
  padding: 0.25em calc(0.5em + 0.5vw);
  font-weight: 700;
}
.navbox-list {
  padding: 0.25em calc(1em + 0.5vw);
  text-align: center;
}
.navbox-list-with-group {
  text-align: left;
}
.navbox-list-has-subgroup.navbox-list {
  padding: initial;
}

@media (min-width: 480px) {
  .navbox .navbar {
    float: left;
    text-align: left;
  }
  .navbox-title-text {
    margin: 0 5em;
    text-align: center;
  }
}
@media (min-width: 720px) {
  .navbox-image {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .navbox-lists {
    grid-template-columns: auto 1fr;
  }
  .navbox-group {
    padding: 0.25em calc(0.5em + 0.5vw);
  }
  .navbox-list {
    padding: 0.25em;
  }
  .navbox-list:not(.navbox-list-with-group) {
    grid-column: 1/3;
  }
}
@media screen {
  .navbox {
    border-color: rgb(162, 169, 177);
    background-color: rgb(248, 249, 250);
  }
  .navbox-title {
    background-color: rgb(200, 200, 251);
  }
  .navbox-abovebelow, .navbox-group, .navbox-subgroup .navbox-title {
    background-color: rgb(216, 216, 255);
  }
  .navbox-subgroup .navbox-abovebelow, .navbox-subgroup .navbox-group {
    background-color: rgb(234, 235, 255);
  }
  .navbox-even {
    background-color: rgba(148, 148, 252, 0.05);
  }
  html.skin-theme-clientpref-night .navbox {
    border-color: rgba(255, 255, 255, 0.05);
    background-color: rgb(32, 33, 34);
  }
  html.skin-theme-clientpref-night .navbox-title {
    background-color: rgb(43, 40, 79);
  }
  html.skin-theme-clientpref-night .navbox-abovebelow, html.skin-theme-clientpref-night .navbox-group, html.skin-theme-clientpref-night .navbox-subgroup .navbox-title {
    background-color: rgb(31, 27, 65);
  }
  html.skin-theme-clientpref-night .navbox-subgroup .navbox-abovebelow, html.skin-theme-clientpref-night .navbox-subgroup .navbox-group {
    background-color: rgb(20, 15, 52);
  }
  html.skin-theme-clientpref-night.citizen-feature-pure-black-clientpref-1 .navbox {
    background-color: black;
  }
}
@media screen and (prefers-color-scheme: dark) {
  html.skin-theme-clientpref-os .navbox {
    border-color: rgba(255, 255, 255, 0.05);
    background-color: rgb(32, 33, 34);
  }
  html.skin-theme-clientpref-os .navbox-title {
    background-color: rgb(43, 40, 79);
  }
  html.skin-theme-clientpref-os .navbox-abovebelow, html.skin-theme-clientpref-os .navbox-group, html.skin-theme-clientpref-os .navbox-subgroup .navbox-title {
    background-color: rgb(31, 27, 65);
  }
  html.skin-theme-clientpref-os .navbox-subgroup .navbox-abovebelow, html.skin-theme-clientpref-os .navbox-subgroup .navbox-group {
    background-color: rgb(20, 15, 52);
  }
  html.skin-theme-clientpref-os.citizen-feature-pure-black-clientpref-1 .navbox {
    background-color: black;
  }
}